Subject: DFT Hyperpolarizabilities in G98:Summary.

From: "Jesus Orduna" <[email-masked]>
Date: Tue, 13 Feb 2001 10:41:20 +0100

Hi all,

A few days ago I made a question on the calculation of hyperpolarizabilities using DFT in Gaussian 98.

According to the answers I have recieved DFT hyperpolarizabilities can be calculated as second numerical derivatives of the dipole moment using the keywords polar=enonly or as numerical derivatives of the polarizability using published methods. Here is the original question and the answers.

Thanks to everybody who responded

Original question:

Hi all,

I am interested in the calculation of DFT first hyperpolarizabilities (beta). To the best of my knowledge, G98 is not able to calculate analytical hyperpolarizabilities by dft methods (even though the manual is rather confussing concerning this point). The only way I have been able to calculate beta is using the keyword POLAR=EnOnly, that causes the calculation of beta as the second numerical derivative of the dipole moment with respect to the electric field. Since analytical polarizabilities (alfa) are available in G98 I wonder if there is a way to calculate beta as the first numerical derivative of alfa which should lead to a more rapid and precise calculation.

A second question concerns the calculation of second hyperpolarizabilities (gamma). Can they be calculated in G98 using either  HF or DFT methods.

Regards

Answers:

Dear Jesus: 

how about using the ADF code? 

See: http://www.scm.com/ 

and a couple of papers such as: 

     S J A van Gisbergen, J G Snijders, and E J Baerends, Comput. Phys. Commun. 118, 119, (1999) 
     S J A van Gisbergen, J G Snijders, and E J Baerends, J. Chem. Phys. 109, 10644 (1998) 
     S J A van Gisbergen, J G Snijders, and E J Baerends, Phys. Rev. Lett. 78, 3097 (1997) 

Best regards, Georg 

Here is one more reference: 

Van Gisbergen SJA, Guerra CF, Baerends EJ 
     Towards excitation energies and (hyper)polarizability calculations of large molecules. Application of parallelization 
     and linear scaling techniques to time-dependent density functional response theory 
     J COMPUT CHEM 21: (16) 1511-1523 DEC 2000 

--Dr. Georg Schreckenbach          phone: +44-1925-603849
CLRC Daresbury Laboratory      FAX: +44-1925-603634
Daresbury, Warrington, Cheshire, WA4 4AD, UK
[email-masked]   http://www.geocities.com/gschreckenbach/

si colocas #P polar(numer,enonly) 
te calcula alpha y beta como la derivada numérica de la energía con respecto al campò aplicado.

Existe un método llamado campo finito. El cual está muy bien explicado en el siguiente articulo: Kurtz, H; Stewart, J; Dieter, K. Journal of computational Chemistry, Vol. 11, No. 1,(1990), pp. 82-87.

si deseas algunos detalles me puedes escribir

Espero que sea de ayuda.

P.D. Disculpa que no te haya contestado en inglés, pero en vista de que eres de España creo que para mí es más sencillo explicarte en nuestro idioma :o)

-- 
Néstor Cubillán
Laboratorio de Electrónica Molecular
La Universidad del Zulia
Maracaibo-Venezuela

Hello Jesus,

We are used to run Gaussian to get these alpha, beta
and gamma values at different levels of approximation.
Maybe you would like to have a look at these papers:
JCP, 109, 10489 (1998),
JPC A 104, 4755 (2000),
CPL, 284, 24 (1998),
J. Molec. Struct. 528, 151 (2000).

Best regards,

Benoît

Dr. Benoit CHAMPAGNE
CTA Lab
FUNDP
Rue de Bruxelles, 61
B-5000 Namur
BELGIUM
http://www.scf.fundp.ac.be/~bchampag/
Tel : 00 32 81 724554
Fax : 00 32 81 724567

Yes, you are right. What you should do, if possible, is just calculate the analytical alfa,
in several jobs, where you change the electric field in steps of 1.0*10-4 a.u.
The minimum number of jobs would then be 7.

   A second question concerns the calculation of second hyperpolarizabilities (gamma). Can they be calculated in G98 using either  HF or DFT methods.

With HF, that should be no problem, but with DFT probably not, since you can not even calculate the first hyperpolarizability.

Recuerdos,

Marcel.
-- 
Marcel Swart

Theoretische Chemie (MSC) / Moleculaire Dynamica (GBB)
Rijksuniversiteit Groningen
Nijenborgh 4
9747 AG Groningen
The Netherlands
[email-masked]
http://go.to/m.swart

Dear Jesus,

to calculate beta and gamma components you can see the expansion series
and the finite-field expressions as reported in:

J.Phys.Chem. 97, 1993, 1158; J. Chem. Phys. 103, 1995, 4157

Best regards

Andrea